<?php
/**
 * Block Patterns
 *
 * @package pixel_jewelry
 * @since 1.0
 */

function pixel_jewelry_register_block_patterns() {
	$pixel_jewelry_block_pattern_categories = array(
		'pixel-jewelry' => array( 'label' => esc_html__( 'Pixel Jewelry', 'pixel-jewelry' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'pixel-jewelry' ) ),
	);

	$pixel_jewelry_block_pattern_categories = apply_filters( 'pixel_jewelry_pixel_jewelry_block_pattern_categories', $pixel_jewelry_block_pattern_categories );

	foreach ( $pixel_jewelry_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'pixel_jewelry_register_block_patterns', 9 );